CREATE DATABASE  IF NOT EXISTS `universidadeead` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `universidadeead`;
-- MySQL dump 10.13  Distrib 5.6.13, for Win32 (x86)
--
-- Host: 127.0.0.1    Database: universidadeead
-- ------------------------------------------------------
-- Server version	5.5.37

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `aluno`
--

DROP TABLE IF EXISTS `aluno`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aluno` (
  `id` int(11) NOT NULL,
  `nome` text NOT NULL,
  `idSexo` int(11) NOT NULL,
  `IdEstadoCivil` int(11) NOT NULL,
  `nomeDaMae` text,
  `nomeDoPai` varchar(45) DEFAULT NULL,
  `identidade` varchar(11) NOT NULL,
  `dataExpedicao` date NOT NULL,
  `idOrgaoExpedidor` int(11) NOT NULL,
  `cpf` varchar(11) NOT NULL,
  `idNacionalidade` int(11) NOT NULL,
  `idNaturalidadeMunicipal` int(11) NOT NULL,
  `naturalidadeEstadual` varchar(2) NOT NULL,
  `idEndereco` int(11) NOT NULL,
  `telefoneFixo` int(9) NOT NULL,
  `dddTelefoneFixo` int(3) NOT NULL,
  `celular` int(9) DEFAULT NULL,
  `dddCelular` int(3) DEFAULT NULL,
  `email` text,
  `ensinoMedioConclusao` year(4) NOT NULL,
  `nomeEscola` varchar(45) NOT NULL,
  `idTipoEscola` int(11) NOT NULL,
  `idMunicipioEscola` int(11) NOT NULL,
  `idAtendimentoEspecialAuditivo` int(11) NOT NULL,
  `idAtendimentoEspecialFisico` int(11) NOT NULL,
  `idAtendimentoEspecialVisual` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_SEXO_idx` (`idSexo`),
  KEY `FK_ESTADO_CIVIL_idx` (`IdEstadoCivil`),
  KEY `FK_ORGAO_EXPEDIDOR_idx` (`idOrgaoExpedidor`),
  KEY `FK_NACIONALIDADE_idx` (`idNacionalidade`),
  KEY `FK_ENDERECO_idx` (`idEndereco`),
  KEY `FK_ENDERECO_ALUNO_idx` (`idEndereco`),
  KEY `FK_TIPO_ESCOLA_idx` (`idTipoEscola`),
  KEY `FK_ASSISTENCIA_AUDITIVA_idx` (`idAtendimentoEspecialAuditivo`),
  KEY `FK_ASSISTENCIA_FISICA_idx` (`idAtendimentoEspecialFisico`),
  KEY `FK_ASSISTENCIA_VISUAL_idx` (`idAtendimentoEspecialVisual`),
  KEY `FK_ALUNO_UF_idx` (`naturalidadeEstadual`),
  KEY `FK_ALUNO_CID_idx` (`idNaturalidadeMunicipal`),
  KEY `FK_ALUNO_CIDESCOLA_idx` (`idMunicipioEscola`),
  CONSTRAINT `FK_ALUNO_CIDESCOLA` FOREIGN KEY (`idMunicipioEscola`) REFERENCES `cidade` (`idcidade`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ALUNO_ASSIST_AUDITIVA` FOREIGN KEY (`idAtendimentoEspecialAuditivo`) REFERENCES `assistencia_auditiva` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ALUNO_ASSIST_FIS` FOREIGN KEY (`idAtendimentoEspecialFisico`) REFERENCES `assistencia_fisica` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ALUNO_ASSIST_VIS` FOREIGN KEY (`idAtendimentoEspecialVisual`) REFERENCES `assistencia_visual` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ALUNO_CIDADE` FOREIGN KEY (`idNaturalidadeMunicipal`) REFERENCES `cidade` (`idcidade`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ALUNO_ENDER` FOREIGN KEY (`idEndereco`) REFERENCES `endereco` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ALUNO_EST_CIV` FOREIGN KEY (`IdEstadoCivil`) REFERENCES `estadocivil` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ALUNO_ORG_EXP` FOREIGN KEY (`idOrgaoExpedidor`) REFERENCES `orgao_expedidor` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ALUNO_PAIS` FOREIGN KEY (`idNacionalidade`) REFERENCES `pais` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ALUNO_SEXO` FOREIGN KEY (`idSexo`) REFERENCES `sexo` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ALUNO_TIPO_ESC` FOREIGN KEY (`idTipoEscola`) REFERENCES `tipoescola` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ALUNO_UF` FOREIGN KEY (`naturalidadeEstadual`) REFERENCES `uf` (`uf`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Tabela com as informações de dados cadastrais de alunos';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aluno`
--

LOCK TABLES `aluno` WRITE;
/*!40000 ALTER TABLE `aluno` DISABLE KEYS */;
/*!40000 ALTER TABLE `aluno` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-07-17 18:44:55
